Subject: Re: "warning: Updating the currently checked out branch may cause confusion" on bare repositories

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 19 Jan 2010 10:59:06 -0800

Adam Megacz <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> > That should already be the case.  Did you create the bare repository
> > by taking a copy of a non-bare's .git directory?  Check your bare
> > repository's config file and see if core.bare = false, if so set
> > it to true to signal it really is bare.
> 
> Hrm, is there a reason why this is explicitly configured rather than
> detected?

I don't know why we do this.  I think its because the guessing
logic can guess wrong sometimes.
 
> I was under the impression that you could create a bare repository by
> simply throwing away the working tree and renaming ".git" to any other
> name, but I guess I was wrong.

If you delete the setting from the configuration file, Git usually
almost always guesses correctly.  :-)

Its rare to see it fail.  But I think it can fail if you create
a file called HEAD in the top level of your source code tree.
(For example.)

-- 
Shawn.